#!/usr/bin/env python
# encoding=utf-8

"""
* @ DDoS Defender Tool for Python
* @ 写日志模块
* @ 输出按日期文件夹存放的日志
##############################################################################
# DDoS-Defender version 2.1.0 Author: Sunshine Koo <350311204@qq.com>        #
# Modfiy: guzhiqiang, 2012-09-25 17:11:30                                    #
# Blog: http://www.hit008.com , http://www.ywjt.org                          #
##############################################################################
# This program is distributed under the "Artistic License" Agreement         #
# The LICENSE file is located in the same directory as this program. Please  #
# read the LICENSE file before you make copies or distribute this program    #
##############################################################################
"""

import sys, os, time, datetime
sys.path.append("..")
sys.setdefaultencoding("utf-8")
from conf.ddos import LOGS_FILE, BLOCK_FILE, VER

#获取根目录路径
PROC_DIR =  os.path.abspath('..')

#日志存放目录
LOGS_DIR = PROC_DIR + '/logs/'


def save_log(type, data):
	'''
	@type: 日志记录类型
	@data: 记录内容
	'''
	
	logdir = LOGS_DIR + time.strftime('%Y_%m', time.localtime()) + '/'
	
	if not os.path.exists(logdir):
		os.system('mkdir -p ' + logdir)
	
	log_file = logdir + time.strftime('%Y_%m_%d', time.localtime()) + '_'+LOGS_FILE
	f = open(log_file, 'a')
	f.write('['+type+']:' + time.strftime('%Y-%m-%d %H:%M:%S', time.localtime()) + ' ' + str(data) + '\n')
	f.close()
