#!/usr/bin/env python
# encoding=utf-8

"""
* @ DDoS Defender Tool for Python
* @ 实例化主逻辑类,调用到后台运行
##############################################################################
# DDoS-Defender version 2.1.0 Author: Sunshine Koo <350311204@qq.com>        #
# Modfiy: guzhiqiang, 2012-09-25 17:11:30                                    #
# Blog: http://www.hit008.com , http://www.ywjt.org                          #
##############################################################################
# This program is distributed under the "Artistic License" Agreement         #
# The LICENSE file is located in the same directory as this program. Please  #
# read the LICENSE file before you make copies or distribute this program    #
##############################################################################
"""

import sys, os, time, atexit, datetime
reload(sys)
sys.path.append("..")
sys.setdefaultencoding("utf-8")
from signal import SIGTERM 
from conf.ddos import LOGS_FILE, BLOCK_FILE, VER
from lib.ddosUtil import DDoSDefender
from lib.ddosLog import save_log


#获取根目录路径
PROC_DIR =  os.path.abspath('..')

#日志存放目录
LOGS_DIR = PROC_DIR + '/logs/'

#写入系统环境变量
if not PROC_DIR in os.environ['PATH']:
    os.environ['PATH'] = os.getenv('PATH') + ':' + PROC_DIR + '/sbin'
	
#初始化log文件
if not os.path.isfile(LOGS_DIR+BLOCK_FILE):
	os.system('touch '+LOGS_DIR+BLOCK_FILE)	

#pid文件
PID_FILE = LOGS_DIR + 'ddos.pid'

class Daemon:
	"""
	daemon class.	
	Usage: subclass the Daemon class and override the _run() method
	"""
	def __init__(self, pidfile, stdin='/dev/null', stdout='/dev/null', stderr='/dev/null'):
		self.stdin = stdin
		self.stdout = stdout
		self.stderr = stderr
		self.pidfile = pidfile		
	
	def _daemonize(self):
		"""
		@ 守护进程主方法
		"""
		
		#脱离父进程
		try: 
			pid = os.fork() 
			if pid > 0:
				sys.exit(0) 
		except OSError, e: 
			sys.stderr.write("fork #1 failed: %d (%s)\n" % (e.errno, e.strerror))
			save_log('DAEM',"ddos damo fork #1 failed:"+str(e.strerror)+"\n")
			sys.exit(1)
	
		#脱离终端
		os.setsid() 
		#修改当前工作目录  
		os.chdir("/") 
		#重设文件创建权限
		os.umask(0)
	
		#第二次fork，禁止进程重新打开控制终端
		try: 
			pid = os.fork() 
			if pid > 0:
				sys.exit(0) 
		except OSError, e: 
			sys.stderr.write("fork #2 failed: %d (%s)\n" % (e.errno, e.strerror))
			save_log('DAEM',"ddos damo fork #2 failed:"+str(e.strerror)+"\n")
			sys.exit(1) 
	
		sys.stdout.flush()
		sys.stderr.flush()
		si = file(self.stdin, 'r')
		so = file(self.stdout, 'a+')
		se = file(self.stderr, 'a+', 0) 
		#重定向标准输入/输出/错误
		os.dup2(si.fileno(), sys.stdin.fileno())
		os.dup2(so.fileno(), sys.stdout.fileno())
		os.dup2(se.fileno(), sys.stderr.fileno())

		#注册程序退出时的函数，即删掉pid文件
		atexit.register(self.delpid)
		pid = str(os.getpid())
		file(self.pidfile,'w+').write("%s\n" % pid)
	
	def delpid(self):
		os.remove(self.pidfile)
        
	def start(self):
		"""
		Start the daemon
		"""
		# Check for a pidfile to see if the daemon already runs
		try:
			pf = file(self.pidfile,'r')
			pid = int(pf.read().strip())
			pf.close()
		except IOError,e:
			pid = None
			#sys.stdout.write("[ERROR]: ddos damo ioerror :"+str(e)+"\n")
	
		if pid:
			message = "Start error,pidfile %s already exist. Daemon already running?\n"
			save_log('DAEM',message+"\n")
			sys.stderr.write(message % self.pidfile)
			sys.exit(1)
            
		# Start the daemon
		self._daemonize()
		self._run()
        
	def stop(self):
		"""
		Stop the daemon
		"""
		# Get the pid from the pidfile
		try:
			pf = file(self.pidfile,'r')
			pid = int(pf.read().strip())
			pf.close()
		except IOError:
			pid = None
	
		if not pid:
			message = "pidfile %s does not exist. ddos Daemon not running?\n"
			sys.stderr.write(message % self.pidfile)
			return # not an error in a restart
		# Try killing the daemon process	
		try:
			while 1:
				os.kill(pid, SIGTERM)
				time.sleep(0.1)
		except OSError, err:
			err = str(err)
			if err.find("No such process") > 0:
				if os.path.exists(self.pidfile):
					os.remove(self.pidfile)
					save_log('DAEM',"stop ddosDeamon Success.\n")
			else:
				save_log('DAEM',"stop error,"+str(err)+"\n")
				sys.exit(1)
                
	def restart(self):
		self.stop()
		self.start()
        
	def _run(self):
		"""
		#DDoSDefender().protectSystem()
		"""
		

class ddosDaemon(Daemon):
    def _run(self):
        DDoSDefender().protectSystem()


def main():
    #启动信息
    save_log('-->','DDoS Defender ' + VER + ' For Python')
    save_log('-->','Copyright (C) 2012,Sunshine Koo.')
    save_log('-->','Daemon started with pid %d' % os.getpid())
    save_log('-->','Daemon started with %s' % datetime.datetime.now().strftime("%m/%d/%Y %H:%M")+'\n')


if __name__ == '__main__':
    daemon = ddosDaemon(PID_FILE)
    if len(sys.argv) == 2:
        if 'START' == (sys.argv[1]).upper():
            main()
            daemon.start()
            
	elif 'STOP' == (sys.argv[1]).upper():
	    daemon.stop()
	elif 'RESTART' == (sys.argv[1]).upper():
	    daemon.restart()
	else:
	    print "Unknow Command!"
	    print "Usage: %s start|stop|restart" % sys.argv[0]
	    sys.exit(2)
	    sys.exit(0)
    else:
	print "Usage: %s start|stop|restart" % sys.argv[0]
	sys.exit(0)
